Get all submissions for an assignment. Returns user email, submission timestamps, file URLs, and text input values.
Authentication with the “FERMION-API-KEY” header is required to use this endpoint.
Rate limit: Maximum 60 requests in a window of 1m.
cURL
curl --request POST \ --url https://backend.codedamn.com/api/public/get-assignment-submissions \ --header 'Content-Type: application/json' \ --header 'FERMION-API-KEY: <api-key>' \ --data ' { "data": [ { "data": { "assignmentId": "<string>" } } ] } '
[ { "output": { "status": "ok", "data": { "assignmentId": "<string>", "assignmentTitle": "<string>", "totalSubmissionCount": 123, "userSubmissions": [ { "fermionUserId": "<string>", "userName": "<string>", "userEmail": "jsmith@example.com", "submissions": [ { "submissionMadeAtIso": "2023-11-07T05:31:56Z", "fileUrls": [ "<string>" ], "textInputValues": [ { "label": "<string>", "value": "<string>" } ] } ] } ] } } } ]
API Request Body
Show child attributes
API Response Body